Need the installation package for an old version to upgrade

Post your question about installing or upgrading QCAD.

Moderator: andrew

Post Reply
EngelenH
Newbie Member
Posts: 3
Joined: Sun Jun 07, 2020 12:05 am

Need the installation package for an old version to upgrade

Post by EngelenH » Sun Jun 07, 2020 12:12 am

I am trying to install the latest version but have 3.17.3 still on my machine. It thus refuses to install the new version and asks for the MSI of the old version which I no longer have.

Where can I find this old version ?

User avatar
Husky
Moderator/Drawing Help/Testing
Posts: 3159
Joined: Wed May 11, 2011 9:25 am
Location: USA

Re: Need the installation package for an old version to upgrade

Post by Husky » Sun Jun 07, 2020 1:33 am

Just delete the old version on your hard drive and your OS should accept the new installation via msi. Just make sure to delete the old QCAD version into the "Recycle Bin" in the case something goes wrong ... :wink:
Work smart, not hard: QCad Pro

If a thread is considered as "solved" please change the title of the first post to "[solved] Title...". Thanks!

EngelenH
Newbie Member
Posts: 3
Joined: Sun Jun 07, 2020 12:05 am

Re: Need the installation package for an old version to upgrade

Post by EngelenH » Sun Jun 07, 2020 2:02 pm

Renamed the old directory instead, but no go. Still asks for the original (old) msi.

Cheers

EngelenH
Newbie Member
Posts: 3
Joined: Sun Jun 07, 2020 12:05 am

Re: Need the installation package for an old version to upgrade

Post by EngelenH » Sun Jun 07, 2020 2:50 pm

Well, that was fun ... not ... This really should get improved or changed.

I tried IOBit uninstaller to get rid of the old version ... same problem
I tried msiexec /x 6318426D-96D5-417A-955B-56121056B2AC ... same problem
I tried cleaning the registry of all traces ... same problem
I tried looking for the old package in c:\windows\installer ... not there anymore

finally I gave up and used msicuu2.exe aka Windows Install Cleanup Utility... and that did the trick.

User avatar
andrew
Site Admin
Posts: 6905
Joined: Fri Mar 30, 2007 6:07 am

Re: Need the installation package for an old version to upgrade

Post by andrew » Mon Jun 08, 2020 9:12 am

EngelenH wrote:
Sun Jun 07, 2020 2:50 pm
This really should get improved or changed.
Yes. Unfortunately, that's Microsoft Windows Installer behaviour and not QCAD related in any way. Note that we also provide ZIP archives if you want to get around Microsoft Installer altogether.

CVH
Premier Member
Posts: 771
Joined: Wed Sep 27, 2017 4:17 pm
Location: Belgium; Antwerp

Re: Need the installation package for an old version to upgrade

Post by CVH » Mon Jun 08, 2020 10:02 am

Saying nothing about the win UAC that gets in the way too.
https://qcad.org/rsforum/viewtopic.php?t=6528
CVH
QCADpro 3.24.3.0 / win7pro 32 bit / 4GB / 1e generation i7 2.6Ghz / HDD GeForce GT 520

Post Reply

Return to “QCAD Installation and Upgrades”